org.wildfly.swarm.config.elytron

## Class AuthenticationContext<T extends AuthenticationContext<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.AuthenticationContext<T>

-     public class AuthenticationContext<T extends AuthenticationContext<T>>
      extends Object

  An individual authentication context definition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationContext(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `attributeExtends()` A previously defined authentication context to extend.
    `T` | `attributeExtends(String value)` A previously defined authentication context to extend.
    `String` | `getKey()`
    `T` | `matchRule(Map value)` The match-rules for this authentication context.
    `List<Map>` | `matchRules()` The match-rules for this authentication context.
    `T` | `matchRules(List<Map> value)` The match-rules for this authentication context.
    `T` | `matchRules(Map... args)` The match-rules for this authentication context.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationContext

          public AuthenticationContext(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### attributeExtends

          public String attributeExtends()

      A previously defined authentication context to extend.

    - #### attributeExtends

          public T attributeExtends(String value)

      A previously defined authentication context to extend.

    - #### matchRules

          public List<Map> matchRules()

      The match-rules for this authentication context.

    - #### matchRules

          public T matchRules(List<Map> value)

      The match-rules for this authentication context.

    - #### matchRule

          public T matchRule(Map value)

      The match-rules for this authentication context.

    - #### matchRules

          public T matchRules(Map... args)

      The match-rules for this authentication context.

Copyright © 2018 JBoss by Red Hat. All rights reserved.